LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04905Bug reports[All Projects] RemoteControlpublic2011-01-26 17:242012-07-19 23:36
Reporterbdizzle 
Assigned To 
PrioritynormalSeverityminor 
StatusclosedResolutionopen 
Product Version1.90+ 
Target VersionFixed in Version 
Summary04905: LSRC error message: SOAP Error: SOAP-ENV:Server : Call to undefined function db_switchidinsert()
Description(Version 1.90+ Build 9642)

When I try to create a survey with LSRC's default client (lsrc.testclient.php), I get the following error message when using the interface for the sCreateSurvey function:

SOAP Error: SOAP-ENV:Server : Call to undefined function db_switchidinsert()

I can see that the survey has been created, but this message seems to mean that something also went wrong!

Note: my WSDL is properly configured, SOAP exists, and libXML is installed.
Steps To Reproduce- Install Version 1.90+ Build 9642
- Configure LSRC
- Access admin/remotecontrol/lsrc.testclient.php
- Fill in the fields of the sCreateSurvey function:
  - Use template_db138
  - Choose an ID, a title, etc.
  - Click on the "Create Survey!" button
- Look for the error message under "testing output:"
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID9642
BrowserChrome 8.0.552.237
Database & DB-VersionMySQL version5.0.91-community
Operating System (Server)linux kernel: 2.6.18-294.8.1.el5.lve0.7.32PAE
Webserver software & versionApache v2.2.17
PHP Version5.2.14
Attached Files

- Relationships

-  Notes
User avatar (13965)
bdizzle (reporter)
2011-01-26 19:10

The survey gets created, but no question groups or questions are created, although they appear in the CSV survey template.
User avatar (13998)
elameno (reporter)
2011-01-28 18:01

Hello bdizzle,
    Currently LSRC is in sore shape as we have some architectural issues to iron out. Until such a time as we have it running smoothly, if you want to use LSRC then the latest stable release is Lime Survey 1.86 running on PHP 5.2.

Thanks for the bug report :)

elameno
User avatar (14022)
bdizzle (reporter)
2011-01-31 20:02

Thank you for the heads up.
A stable LSRC with LSS support would really kick ass!
http://www.limesurvey.org/en/forum/installation-a-update-issues/56040-lsrc-with-lss--javascript-in-lss#56040 [^]
User avatar (19848)
c_schmitz (administrator)
2012-07-19 23:36

Fixed in 2.00RC6

2.00RC6 released.

- Issue History
Date Modified Username Field Change
2011-01-26 17:24 bdizzle New Issue
2011-01-26 19:10 bdizzle Note Added: 13965
2011-01-26 22:08 c_schmitz Assigned To => elameno
2011-01-26 22:08 c_schmitz Status new => assigned
2011-01-28 18:01 elameno Note Added: 13998
2011-01-31 20:02 bdizzle Note Added: 14022
2011-06-16 14:37 c_schmitz Status assigned => confirmed
2011-10-20 18:29 c_schmitz Category RemoteControl => (No Category)
2012-06-21 14:34 c_schmitz Category (No Category) => RemoteControl
2012-06-21 14:35 c_schmitz Assigned To elameno =>
2012-07-19 23:36 c_schmitz Note Added: 19848
2012-07-19 23:36 c_schmitz Status confirmed => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker